using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Drawing;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Syncfusion.Grouping;
using Syncfusion.Windows.Forms.Grid;
using Syncfusion.Windows.Forms.Tools;
using Syncfusion.Web.UI.WebControls.Grid.Grouping;
using System.ComponentModel;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        Helper help = new Helper();
        DataTable titlesTable = help.PortLocationNameData();

        DataTable titleauthorTable = help.PortLocationTypeData();

        DataTable authorsTable = help.PortLocationStaticEditData();




        GridRelationDescriptor titlesTableRelationDescriptor = new GridRelationDescriptor();

        titlesTableRelationDescriptor.ChildTableName = "titleauthor";

        titlesTableRelationDescriptor.RelationKind = RelationKind.RelatedMasterDetails;

        titlesTableRelationDescriptor.RelationKeys.Add("Name", "Name");



        gridGroupingControlPortData.TableDescriptor.Relations.Add(titlesTableRelationDescriptor);



        GridRelationDescriptor titleauthorTableRelationDescriptor = new GridRelationDescriptor();

        titleauthorTableRelationDescriptor.ChildTableName = "authors";

        titleauthorTableRelationDescriptor.RelationKind = RelationKind.RelatedMasterDetails;

        titleauthorTableRelationDescriptor.RelationKeys.Add("Name", "Name");



        titlesTableRelationDescriptor.ChildTableDescriptor.Relations.Add(titleauthorTableRelationDescriptor);



        this.gridGroupingControlPortData.Engine.SourceListSet.Add("titles", titlesTable);

        this.gridGroupingControlPortData.Engine.SourceListSet.Add("titleauthor", titleauthorTable);

        this.gridGroupingControlPortData.Engine.SourceListSet.Add("authors", authorsTable);



        this.gridGroupingControlPortData.TableDescriptor.Name = "titles";

        this.gridGroupingControlPortData.DataMember = "DefaultView";

        this.gridGroupingControlPortData.DataSource = titlesTable;

        this.gridGroupingControlPortData.TableDescriptor.Columns[0].Width = 10;

        DataDetails details = help.OutcomeData();
        titlesTableRelationDescriptor.ChildTableDescriptor.Columns[2].Appearance.AnyRecordFieldCell.CellType = "ComboBox";                

       
        titlesTableRelationDescriptor.ChildTableDescriptor.Columns[2].Appearance.AnyRecordFieldCell.DataSource = details.GetDataTable;
        titlesTableRelationDescriptor.ChildTableDescriptor.Columns[2].Appearance.AnyRecordFieldCell.DisplayMember = details.GetColumnName;
        titlesTableRelationDescriptor.ChildTableDescriptor.Columns[2].Appearance.AnyRecordFieldCell.ValueMember = details.GetColumnName;

    }
}
