using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Collections; 

/// <summary>
/// Summary description for Class1
/// </summary>
public class  Helper
{

    public static DataTable VCRDatatable = new DataTable();
    public static DataTable RequestTypeDatatable = new DataTable();
    public static DataTable TransactionTypeDatatable = new DataTable();
    public static DataTable CargoOwnershipDatatable = new DataTable();
    public static DataTable CargoTransferDatatable = new DataTable();
    public static DataTable LocationTypeDatatable = new DataTable();
    public static DataTable CargoDatatable = new DataTable();
    public static DataTable VesselsDatatable = new DataTable();
    public static DataTable VesselTypeDatatable = new DataTable();
    public static DataTable OperationsDatatable = new DataTable();
    //manohar
    public static DataTable VesselSubjectsDatatable = new DataTable();
    public static DataTable VesselCommentsDatatable = new DataTable();
    public static DataTable PortSubjectsDatatable = new DataTable();
    public static DataTable PortCommentsDatatable = new DataTable();
    public static DataTable RestrictionsDatatable = new DataTable();

    public Helper()
    {
        RequestTypeDatatable.Columns.Clear();
        TransactionTypeDatatable.Columns.Clear();
        CargoOwnershipDatatable.Columns.Clear();
        CargoTransferDatatable.Columns.Clear();
        LocationTypeDatatable.Columns.Clear();
        VesselTypeDatatable.Columns.Clear();
        VesselsDatatable.Columns.Clear();
        CargoDatatable.Columns.Clear();

        OperationsDatatable.Columns.Clear();
        VesselSubjectsDatatable.Columns.Clear();
        VesselCommentsDatatable.Columns.Clear();
        PortSubjectsDatatable.Columns.Clear();
        PortCommentsDatatable.Columns.Clear();
        RestrictionsDatatable.Columns.Clear();
       
        RequestTypeDatatable.Columns.Add("Request Type");
        TransactionTypeDatatable.Columns.Add("TransactionType");
        CargoOwnershipDatatable.Columns.Add("CargoOwnership");
        CargoTransferDatatable.Columns.Add("CargoTransfer");
        LocationTypeDatatable.Columns.Add("LocationType");
        VesselTypeDatatable.Columns.Add("VesselType");


        VesselsDatatable.Columns.Add("Name");
        VesselsDatatable.Columns.Add("IMOLRN");
        VesselsDatatable.Columns.Add("DWT");
        VesselsDatatable.Columns.Add("Date Built");
        VesselsDatatable.Columns.Add("VesselType");

        CargoDatatable.Columns.Add("Code");
        CargoDatatable.Columns.Add("Name");
        CargoDatatable.Columns.Add("Description");
        CargoDatatable.Columns.Add("GradeGroup");

        OperationsDatatable.Columns.Add("Operation");
        OperationsDatatable.Columns.Add("Vessel");
        OperationsDatatable.Columns.Add("Cargo");
        OperationsDatatable.Columns.Add("Location/Port");
        OperationsDatatable.Columns.Add("Terminal");
        OperationsDatatable.Columns.Add("Berths");
        OperationsDatatable.Columns.Add("Date");
        //manohar
        VesselSubjectsDatatable.Columns.Add("Subjects");
        VesselCommentsDatatable.Columns.Add("Comments/Reasons");

        PortSubjectsDatatable.Columns.Add("Subjects");
        PortCommentsDatatable.Columns.Add("Comments/Reasons");

        RestrictionsDatatable.Columns.Add("Location");
        RestrictionsDatatable.Columns.Add("Terminal");
        RestrictionsDatatable.Columns.Add("Berth");
        RestrictionsDatatable.Columns.Add("Restrictions");
        RestrictionsDatatable.Columns.Add("MVP");
        RestrictionsDatatable.Columns.Add("Y/N");
        RestrictionsDatatable.Columns.Add("Min");
        RestrictionsDatatable.Columns.Add("Max");
        RestrictionsDatatable.Columns.Add("Tot");
        RestrictionsDatatable.Columns.Add("UOM");
        RestrictionsDatatable.Columns.Add("Comments");

    }

    public DataTable SharedVCRData()
    {
        VCRDatatable.Columns.Add("Request No");
        VCRDatatable.Columns.Add("Name");
        VCRDatatable.Columns.Add("Date Submitted");
        VCRDatatable.Columns.Add("Requested By");
        VCRDatatable.Columns.Add("Vessels");
        VCRDatatable.Columns.Add("Ports");
        VCRDatatable.Columns.Add("Status");
        VCRDatatable.Columns.Add("Last Modified");

        DataRow dataRow1 = VCRDatatable.NewRow();
        dataRow1[0] = "VCR000001";
        dataRow1[1] = "Chivalry Req";
        dataRow1[2] = "11/12/06 08:43";
        dataRow1[3] = "Fekry,G";
        dataRow1[4] = "British Chivalry";
        dataRow1[5] = "Cape Town,Corinto,Lagos";
        dataRow1[6] = "Review Requested";
        dataRow1[7] = "15-Dec-2006";

        DataRow dataRow2 = VCRDatatable.NewRow();
        dataRow2[0] = "VCR000002";
        dataRow2[1] = "Dave's Fave";
        dataRow2[2] = "05/12/06 16:24";
        dataRow2[3] = "Sampey,G";
        dataRow2[4] = "British Gannet";
        dataRow2[5] = "Rarotonga,Wellington,W...";
        dataRow2[6] = "Under Review";
        dataRow2[7] = "06-Dec-2006";

        DataRow dataRow3 = VCRDatatable.NewRow();
        dataRow3[0] = "VCR000003";
        dataRow3[1] = "Brit Request";
        dataRow3[2] = "06/12/06 19:24";
        dataRow3[3] = "Pointon,O";
        dataRow3[4] = "Ababel,British...";
        dataRow3[5] = "Louisiana Offshore Oil Port";
        dataRow3[6] = "Draft";
        dataRow3[7] = "04-Feb-2007";

        DataRow dataRow4 = VCRDatatable.NewRow();
        dataRow4[0] = "VCR000004";
        dataRow4[1] = "Vaya Caballo";
        dataRow4[2] = "17/12/06 07:33";
        dataRow4[3] = "Sampey,G";
        dataRow4[4] = "Caballo de Troya";
        dataRow4[5] = "Batumi,Poti,Kotka";
        dataRow4[6] = "Completed";
        dataRow4[7] = "22-Mar-2007";

        DataRow dataRow5 = VCRDatatable.NewRow();
        dataRow5[0] = "VCR000005";
        dataRow5[1] = "Our Fave";
        dataRow5[2] = "21/11/06 19:23";
        dataRow5[3] = "Sampey,G";
        dataRow5[4] = "Tamur British Pi...";
        dataRow5[5] = "Cape Town,Durban,Rich...";
        dataRow5[6] = "Completed";
        dataRow5[7] = "21-Jan-2006";

        VCRDatatable.Rows.Add(dataRow1);
        VCRDatatable.Rows.Add(dataRow2);
        VCRDatatable.Rows.Add(dataRow3);
        VCRDatatable.Rows.Add(dataRow4);
        VCRDatatable.Rows.Add(dataRow5);

        return VCRDatatable;

    }

    public DataDetails RequestTypeData()
    {
        RequestTypeDatatable.Rows.Clear();

        DataRow datarow1 = RequestTypeDatatable.NewRow();
        datarow1[0] = "BP Charter In";
        DataRow datarow2 = RequestTypeDatatable.NewRow();
        datarow2[0] = "BP Charter Out";
        DataRow datarow3 = RequestTypeDatatable.NewRow();
        datarow3[0] = "3rd Party Charter (Purchase)";
        DataRow datarow4 = RequestTypeDatatable.NewRow();
        datarow4[0] = "3rd Party Charter (Sale)";
        DataRow datarow5 = RequestTypeDatatable.NewRow();
        datarow5[0] = "Port Clearance for BP Owned, Controlled or Time Charter";

        RequestTypeDatatable.Rows.Add(datarow1);
        RequestTypeDatatable.Rows.Add(datarow2);
        RequestTypeDatatable.Rows.Add(datarow3);
        RequestTypeDatatable.Rows.Add(datarow4);
        RequestTypeDatatable.Rows.Add(datarow5);

        return new DataDetails(RequestTypeDatatable, "Request Type");

    }

    public DataDetails TransactionTypeData(DataRowView requestType)
    {
        TransactionTypeDatatable.Rows.Clear();

        if (requestType[0].Equals("BP Charter In"))

        {

            DataRow datarow1 = TransactionTypeDatatable.NewRow();
            datarow1[0] = "FOB Purchase";
            DataRow datarow2 = TransactionTypeDatatable.NewRow();
            datarow2[0] = "FOB Purchase to CIF/CFR Sale";
            DataRow datarow3 = TransactionTypeDatatable.NewRow();
            datarow3[0] = "FOB Purchase to Ex-Ship Sale";

            TransactionTypeDatatable.Rows.Add(datarow1);
            TransactionTypeDatatable.Rows.Add(datarow2);
            TransactionTypeDatatable.Rows.Add(datarow3);
        }

        else if (requestType[0].Equals("BP Charter Out"))

        {
            DataRow datarow1 = TransactionTypeDatatable.NewRow();
            datarow1[0] = "Chartered Out to 3rd Party";

            TransactionTypeDatatable.Rows.Add(datarow1);
        }

        else if (requestType[0].Equals("3rd Party Charter (Purchase)"))

        {
            DataRow datarow1 = TransactionTypeDatatable.NewRow();
            datarow1[0] = "CIF/CFR Purchase";
            DataRow datarow2 = TransactionTypeDatatable.NewRow();
            datarow2[0] = "Ex Ship Purchase (DES)";

            TransactionTypeDatatable.Rows.Add(datarow1);
            TransactionTypeDatatable.Rows.Add(datarow2);
        }

        else if (requestType[0].Equals("3rd Party Charter (Sale)"))

        {
            DataRow datarow1 = TransactionTypeDatatable.NewRow();
            datarow1[0] = "FOB Sale to 3rd Party";

            TransactionTypeDatatable.Rows.Add(datarow1);

        }

        else if (requestType[0].Equals("Port Clearance for BP Owned, Controlled or Time Charter"))
        {
            DataRow datarow1 = TransactionTypeDatatable.NewRow();
            datarow1[0] = "FOB Purchase";
            DataRow datarow2 = TransactionTypeDatatable.NewRow();
            datarow2[0] = "FOB Purchase to CIF/CFR Sale";
            DataRow datarow3 = TransactionTypeDatatable.NewRow();
            datarow3[0] = "FOB Purchase to Ex-Ship Sale";
            DataRow datarow4 = TransactionTypeDatatable.NewRow();
            datarow4[0] = "Chartered Out to 3rd Party";
            DataRow datarow5 = TransactionTypeDatatable.NewRow();
            datarow5[0] = "CIF/CFR Purchase";
            DataRow datarow6 = TransactionTypeDatatable.NewRow();
            datarow6[0] = "Ex Ship Purchase (DES)";
            DataRow datarow7 = TransactionTypeDatatable.NewRow();
            datarow7[0] = "FOB Sale to 3rd Party";

            TransactionTypeDatatable.Rows.Add(datarow1);
            TransactionTypeDatatable.Rows.Add(datarow2);
            TransactionTypeDatatable.Rows.Add(datarow3);
            TransactionTypeDatatable.Rows.Add(datarow4);
            TransactionTypeDatatable.Rows.Add(datarow5);
            TransactionTypeDatatable.Rows.Add(datarow6);
            TransactionTypeDatatable.Rows.Add(datarow7);
        }

        return new DataDetails(TransactionTypeDatatable, "TransactionType");
    }

    public DataDetails CargoOwnershipData()
    {
        CargoOwnershipDatatable.Rows.Clear();

        DataRow datarow1 = CargoOwnershipDatatable.NewRow();
        datarow1[0] = "BP has Majority Risk & Title";
        DataRow datarow2 = CargoOwnershipDatatable.NewRow();
        datarow2[0] = "BP has Minority Risk & Title";

        CargoOwnershipDatatable.Rows.Add(datarow1);
        CargoOwnershipDatatable.Rows.Add(datarow2);

        return new DataDetails(CargoOwnershipDatatable, "CargoOwnership");
    }

    public DataDetails CargoTransferData()
    {
        CargoTransferDatatable.Rows.Clear();

        DataRow datarow1 = CargoTransferDatatable.NewRow();
        datarow1[0] = "On the water after loading";
        DataRow datarow2 = CargoTransferDatatable.NewRow();
        datarow2[0] = "At load Port";

        CargoTransferDatatable.Rows.Add(datarow1);
        CargoTransferDatatable.Rows.Add(datarow2);

        return new DataDetails(CargoTransferDatatable, "CargoTransfer");
    }

    public DataDetails LocationTypesData()
    {
        LocationTypeDatatable.Rows.Clear();

        DataRow datarow1 = LocationTypeDatatable.NewRow();
        datarow1[0] = "BP Terminal (Load)";
        DataRow datarow2 = LocationTypeDatatable.NewRow();
        datarow2[0] = "BP Terminal (Discharge)";
        DataRow datarow3 = LocationTypeDatatable.NewRow();
        datarow3[0] = "3rd Party Terminal (Load)";
        DataRow datarow4 = LocationTypeDatatable.NewRow();
        datarow4[0] = "3rd Party Terminal (discharge)";
        DataRow datarow5 = LocationTypeDatatable.NewRow();
        datarow5[0] = "3rd Party/Hired Storage Terminal (Load)";
        DataRow datarow6 = LocationTypeDatatable.NewRow();
        datarow6[0] = "3rd Party/Hired Storage Terminal (Discharge)";
        DataRow datarow7 = LocationTypeDatatable.NewRow();
        datarow7[0] = "STS (Load)";
        DataRow datarow8 = LocationTypeDatatable.NewRow();
        datarow8[0] = "STS (Discharge)";

        LocationTypeDatatable.Rows.Add(datarow1);
        LocationTypeDatatable.Rows.Add(datarow2);
        LocationTypeDatatable.Rows.Add(datarow3);
        LocationTypeDatatable.Rows.Add(datarow4);
        LocationTypeDatatable.Rows.Add(datarow5);
        LocationTypeDatatable.Rows.Add(datarow6);
        LocationTypeDatatable.Rows.Add(datarow7);
        LocationTypeDatatable.Rows.Add(datarow8);

        return new DataDetails(LocationTypeDatatable, "LocationType");
    }

    public DataTable CargoData()
    {
        CargoDatatable.Rows.Clear();

        DataRow datarow1 = CargoDatatable.NewRow();
        datarow1[0] = "ACN";
        datarow1[1] = "Acrylonitrile";
        datarow1[2] = "Acrylonitrile";
        datarow1[3] = "Chemicals";

        DataRow datarow2 = CargoDatatable.NewRow();
        datarow2[0] = "ALC";
        datarow2[1] = "Alcohol";
        datarow2[2] = "Alcohol";
        datarow2[3] = "Chemicals";

        DataRow datarow3 = CargoDatatable.NewRow();
        datarow3[0] = "ALK";
        datarow3[1] = "Alkylate";
        datarow3[2] = "Alkylate";
        datarow3[3] = "Clean Products";

        DataRow datarow4 = CargoDatatable.NewRow();
        datarow4[0] = "ATG";
        datarow4[1] = "Atg";
        datarow4[2] = "Aviation Turbine gasoline";
        datarow4[3] = "Clean Products";

        DataRow datarow5 = CargoDatatable.NewRow();
        datarow5[0] = "ATK";
        datarow5[1] = "Atk";
        datarow5[2] = "Aviation Turbine Kerosine";
        datarow5[3] = "Clean Products";

        CargoDatatable.Rows.Add(datarow1);
        CargoDatatable.Rows.Add(datarow2);
        CargoDatatable.Rows.Add(datarow3);
        CargoDatatable.Rows.Add(datarow4);
        CargoDatatable.Rows.Add(datarow5);

        return CargoDatatable;
    }

    public DataTable VesselsData()
    {
        VesselsDatatable.Rows.Clear();

        DataRow datarow1 = VesselsDatatable.NewRow();
        datarow1[0] = "Tamabishi Maru";
        datarow1[1] = "9048548";
        datarow1[2] = "1,935";
        datarow1[3] = "1992";
        datarow1[4] = "Oil Products";

        DataRow datarow2 = VesselsDatatable.NewRow();
        datarow2[0] = "Tamar";
        datarow2[1] = "9256638";
        datarow2[2] = "70,362";
        datarow2[3] = "";
        datarow2[4] = "Oil Products";
        DataRow datarow3 = VesselsDatatable.NewRow();
        datarow3[0] = "Tamara";
        datarow3[1] = "9002154";
        datarow3[2] = "95,793";
        datarow3[3] = "";
        datarow3[4] = "Oil Products";

        DataRow datarow4 = VesselsDatatable.NewRow();
        datarow4[0] = "Tamariki Maru No.37";
        datarow4[1] = "9078268";
        datarow4[2] = "2,340";
        datarow4[3] = "";
        datarow4[4] = "Oil Products";
        DataRow datarow5 = VesselsDatatable.NewRow();
        datarow5[0] = "Tamaya 1";
        datarow5[1] = "7927178";
        datarow5[2] = "1,441";
        datarow5[3] = "";
        datarow5[4] = "Chemicals";

        VesselsDatatable.Rows.Add(datarow1);
        VesselsDatatable.Rows.Add(datarow2);
        VesselsDatatable.Rows.Add(datarow3);
        VesselsDatatable.Rows.Add(datarow4);
        VesselsDatatable.Rows.Add(datarow5);

        return VesselsDatatable;
    }

    public DataTable OperationsData()
    {
        OperationsDatatable.Rows.Clear();


        DataRow datarow1 = OperationsDatatable.NewRow();
        // Load, STS at Load Port, STS at Discharge Port, Passage, Discharge, 
        datarow1[0] = "Load";
        datarow1[1] = "British Beach,  BP Enmar Voyager";
        datarow1[2] = "Alcohol ALC";
        datarow1[3] = "Rotterdam";
        datarow1[4] = "Nerefco";
        datarow1[5] = "Nrc No 4 BP/Texaco";
        datarow1[6] = "13-Jan-2007";

        DataRow datarow2 = OperationsDatatable.NewRow();
        datarow2[0] = "STS at Load Port";
        datarow2[1] = "British Beach,  BP Enmar Voyager";
        datarow2[2] = "Alcohol ALC";
        datarow2[3] = "Rotterdam";
        datarow2[4] = "Nerefco";
        datarow2[5] = "Nrc No 4 BP/Texaco";
        datarow2[6] = "13-Jan-2007";



        DataRow datarow3 = OperationsDatatable.NewRow();
        datarow3[0] = "STS at Discharge Port";
        datarow3[1] = "British Beach,  BP Enmar Voyager";
        datarow3[2] = "Alcohol ALC";
        datarow3[3] = "Rotterdam";
        datarow3[4] = "Nerefco";
        datarow3[5] = "Nrc No 4 BP/Texaco";
        datarow3[6] = "13-Jan-2007";

        DataRow datarow4 = OperationsDatatable.NewRow();
        datarow4[0] = "Passage";
        datarow4[1] = "British Beach,  BP Enmar Voyager";
        datarow4[2] = "Alcohol ALC";
        datarow4[3] = "Rotterdam";
        datarow4[4] = "Nerefco";
        datarow4[5] = "Nrc No 4 BP/Texaco";
        datarow4[6] = "13-Jan-2007";

        DataRow datarow5 = OperationsDatatable.NewRow();
        datarow5[0] = "Discharge";
        datarow5[1] = "British Beach,  BP Enmar Voyager";
        datarow5[2] = "Alcohol ALC";
        datarow5[3] = "Rotterdam";
        datarow5[4] = "Nerefco";
        datarow5[5] = "Nrc No 4 BP/Texaco";
        datarow5[6] = "13-Jan-2007";

        OperationsDatatable.Rows.Add(datarow1);
        OperationsDatatable.Rows.Add(datarow2);
        OperationsDatatable.Rows.Add(datarow3);
        OperationsDatatable.Rows.Add(datarow4);
        OperationsDatatable.Rows.Add(datarow5);

        return OperationsDatatable;
    }

    public DataDetails VesselTypeData()
    {
        VesselTypeDatatable.Rows.Clear();

        DataRow datarow1 = VesselTypeDatatable.NewRow();
        datarow1[0] = "Oil Products";

        DataRow datarow2 = VesselTypeDatatable.NewRow();
        datarow2[0] = "Chemicals";

        VesselTypeDatatable.Rows.Add(datarow1);
        VesselTypeDatatable.Rows.Add(datarow2);

        return new DataDetails(VesselTypeDatatable, "VesselType");
    }
    //manohar

    public DataTable VesselSubjectsInfo(int vesselId)
    {
        VesselSubjectsDatatable.Rows.Clear();

        if (vesselId == 1)
        {
            DataRow datarow1 = VesselSubjectsDatatable.NewRow();

            datarow1[0] = "Certified on IOPC to carry crude";

            DataRow datarow2 = VesselSubjectsDatatable.NewRow();
            datarow2[0] = "IGS is operational and in use";

            DataRow datarow3 = VesselSubjectsDatatable.NewRow();
            datarow3[0] = "Cargo should be loaded,carried and discharges in a closed condition";

            DataRow datarow4 = VesselSubjectsDatatable.NewRow();
            datarow4[0] = "H2S tank atmosphere content<5 ppm";
            DataRow datarow5 = VesselSubjectsDatatable.NewRow();
            datarow5[0] = "Vessel is fully SBT";

            VesselSubjectsDatatable.Rows.Add(datarow1);
            VesselSubjectsDatatable.Rows.Add(datarow2);
            VesselSubjectsDatatable.Rows.Add(datarow3);
            VesselSubjectsDatatable.Rows.Add(datarow4);
            VesselSubjectsDatatable.Rows.Add(datarow5);
        }
        else
        {

            DataRow datarow1 = VesselSubjectsDatatable.NewRow();

            datarow1[0] = "Mercaptans tank atmosphere < 0.5 ppm";

            DataRow datarow2 = VesselSubjectsDatatable.NewRow();
            datarow2[0] = "IGS O2 level in tank<6%";
            VesselSubjectsDatatable.Rows.Add(datarow1);
            VesselSubjectsDatatable.Rows.Add(datarow2);


        }

        return VesselSubjectsDatatable;
    }
    public DataTable VesselCommentsInfo(int vesselId)
    {
        VesselCommentsDatatable.Rows.Clear();

        if (vesselId == 1)
        {
            DataRow datarow1 = VesselCommentsDatatable.NewRow();

            datarow1[0] = "Next Inspection Due 07-Aug-2007";

            DataRow datarow2 = VesselCommentsDatatable.NewRow();
            datarow2[0] = "Cargo is Crude";

            VesselCommentsDatatable.Rows.Add(datarow1);
            VesselCommentsDatatable.Rows.Add(datarow2);


        }
        else
        {

            DataRow datarow1 = VesselCommentsDatatable.NewRow();

            datarow1[0] = "Vessel is Double Sided";


            VesselCommentsDatatable.Rows.Add(datarow1);



        }

        return VesselCommentsDatatable;
    }
    public DataTable PortSubjectsInfo(int PortId)
    {
        PortSubjectsDatatable.Rows.Clear();

        if (PortId == 1)
        {
            DataRow datarow1 = PortSubjectsDatatable.NewRow();

            datarow1[0] = "";

            PortSubjectsDatatable.Rows.Add(datarow1);
        }
        else if (PortId == 2)
        {

            DataRow datarow1 = PortSubjectsDatatable.NewRow();

            datarow1[0] = "Greek Cypriot Flag or effectively owned or managed vessels and NOT Acceptable at Turkish ports";

            DataRow datarow2 = PortSubjectsDatatable.NewRow();
            datarow2[0] = "IGS O2 level in tank<6%";
            PortSubjectsDatatable.Rows.Add(datarow1);
            PortSubjectsDatatable.Rows.Add(datarow2);


        }
        else
        {
            DataRow datarow1 = PortSubjectsDatatable.NewRow();

            datarow1[0] = "";

            PortSubjectsDatatable.Rows.Add(datarow1);
        }
        return PortSubjectsDatatable;

    }
    public DataTable RestrictionsInfo(int PortId)
    {
        RestrictionsDatatable.Rows.Clear();

        if (PortId == 2)
        {
            DataRow datarow1 = RestrictionsDatatable.NewRow();
            for (int i = 0; i < 11; i++)
            {
                datarow1[i] = "";
            }
            RestrictionsDatatable.Rows.Add(datarow1);
        }
        else if (PortId == 1)
        {

            DataRow datarow1 = RestrictionsDatatable.NewRow();

            datarow1[0] = "Ambaril";
            datarow1[1] = "";
            datarow1[2] = "";
            datarow1[3] = "LOA";
            datarow1[4] = "200";
            datarow1[5] = "";
            datarow1[6] = "150";
            datarow1[7] = "175";
            datarow1[8] = "25";
            datarow1[9] = "Metre";
            datarow1[10] = "";
            RestrictionsDatatable.Rows.Add(datarow1);



        }
        else
        {
            DataRow datarow1 = RestrictionsDatatable.NewRow();

            for (int i = 0; i < 11; i++)
            {
                datarow1[i] = "";
            }
            RestrictionsDatatable.Rows.Add(datarow1);
        }
        return RestrictionsDatatable;

    }
    public DataTable PortCommentsInfo(int PortId)
    {

        PortCommentsDatatable.Rows.Clear();

        if (PortId == 2)
        {
            DataRow datarow1 = PortCommentsDatatable.NewRow();

            datarow1[0] = "";

            PortCommentsDatatable.Rows.Add(datarow1);
        }
        else if (PortId == 1)
        {

            DataRow datarow1 = PortCommentsDatatable.NewRow();

            datarow1[0] = "Vessel Exceeds max SDWT for the berth";


            PortCommentsDatatable.Rows.Add(datarow1);



        }
        else
        {
            DataRow datarow1 = PortCommentsDatatable.NewRow();

            datarow1[0] = "";

            PortCommentsDatatable.Rows.Add(datarow1);
        }
        return PortCommentsDatatable;

    }




    public DataTable RiskScoreInfo()
    {
        DataTable dtRisk = new DataTable();
        dtRisk.Columns.Add("Type");
        dtRisk.Columns.Add("Current Score");
        dtRisk.Columns.Add("Max.Pos Cont");
        dtRisk.Columns.Add("Perc of Max Cont");
        dtRisk.Rows.Clear();

        DataRow datarow1 = dtRisk.NewRow();
        datarow1[0] = "TMSA";
        datarow1[1] = "709";
        datarow1[2] = "";
        datarow1[3] = "";
        DataRow datarow2 = dtRisk.NewRow();
        datarow2[0] = "Fleet";
        datarow2[1] = "559";
        datarow2[2] = "";
        datarow2[3] = "";
        DataRow datarow3 = dtRisk.NewRow();
        datarow3[0] = "Latest SIRE inspection";
        datarow3[1] = "125";
        datarow3[2] = "";
        datarow3[3] = "";
        DataRow datarow4 = dtRisk.NewRow();
        datarow4[0] = "Port State COntrol(PSC)";
        datarow4[1] = "100";
        datarow4[2] = "";
        datarow4[3] = "";

        DataRow datarow5 = dtRisk.NewRow();
        datarow5[0] = "Age";
        datarow5[1] = "100";
        datarow5[2] = "";
        datarow5[3] = "";
        DataRow datarow6 = dtRisk.NewRow();
        datarow6[0] = "Casuality";
        datarow6[1] = "60";
        datarow6[2] = "";
        datarow6[3] = "";

        DataRow datarow7 = dtRisk.NewRow();
        datarow7[0] = "Terminal Feedback";
        datarow7[1] = "90";
        datarow7[2] = "";
        datarow7[3] = "";
        DataRow datarow8 = dtRisk.NewRow();
        datarow8[0] = "Class";
        datarow8[1] = "30";
        datarow8[2] = "";
        datarow8[3] = "";
        DataRow datarow9 = dtRisk.NewRow();
        datarow9[0] = "Total";
        datarow9[1] = "550";
        datarow9[2] = "1000";
        datarow9[3] = "";

        dtRisk.Rows.Add(datarow1);
        dtRisk.Rows.Add(datarow2);
        dtRisk.Rows.Add(datarow3);
        dtRisk.Rows.Add(datarow4);
        dtRisk.Rows.Add(datarow5);
        dtRisk.Rows.Add(datarow6);
        dtRisk.Rows.Add(datarow7);
        dtRisk.Rows.Add(datarow8);
        dtRisk.Rows.Add(datarow9);
        return dtRisk;
    }

    public DataTable VesselClearancesInfo()
    {
        DataTable dtVesselClearancesInfo = new DataTable();
        dtVesselClearancesInfo.Columns.Add("VCR#");
        dtVesselClearancesInfo.Columns.Add("Created Date");
        dtVesselClearancesInfo.Columns.Add("Source");
        dtVesselClearancesInfo.Columns.Add("Locations");
        dtVesselClearancesInfo.Columns.Add("terminal");
        dtVesselClearancesInfo.Columns.Add("Berth");
        dtVesselClearancesInfo.Columns.Add("Outcome");
        dtVesselClearancesInfo.Columns.Add("Reasons");
        dtVesselClearancesInfo.Columns.Add("Assessed by");
        dtVesselClearancesInfo.Columns.Add("Assessed date");
        dtVesselClearancesInfo.Columns.Add("Usage");
        dtVesselClearancesInfo.Rows.Clear();

        DataRow datarow1 = dtVesselClearancesInfo.NewRow();
        datarow1[0] = "VCR00002";
        datarow1[1] = "01-FEB-2007";
        datarow1[3] = "Rotterdam";
        datarow1[4] = "Nerefco";
        datarow1[5] = "Nrc No 1/BP/Chevtex";
        datarow1[6] = "OnHold";
        datarow1[7] = "Inspection Required";
        datarow1[8] = "Marden,R";
        datarow1[9] = "01-FEB-2007";
        datarow1[10] = "Yes";
        datarow1[2] = "";
        DataRow datarow2 = dtVesselClearancesInfo.NewRow();
        datarow2[0] = "VCR00003";
        datarow2[1] = "01-FEB-2007";
        datarow2[3] = "Rotterdam";
        datarow2[4] = "Nerefco";
        datarow2[5] = "Nrc No 3/BP/texaco";
        datarow2[6] = "OK";
        datarow2[7] = "";
        datarow2[8] = "Premi,S";
        datarow2[9] = "01-FEB-2007";
        datarow2[10] = "Yes";
        datarow2[2] = "";
        DataRow datarow3 = dtVesselClearancesInfo.NewRow();
        datarow3[0] = "VCR00004";
        datarow3[1] = "01-MAR-2007";
        datarow3[3] = "Rotterdam";
        datarow3[4] = "VOPAK";
        datarow3[5] = "Nrc No 3/BP/vopak";
        datarow3[6] = "NO";
        datarow3[7] = "";
        datarow3[8] = "Premi,S";
        datarow3[9] = "01-FEB-2007";
        datarow3[10] = "NO";
        datarow3[2] = "";

        dtVesselClearancesInfo.Rows.Add(datarow1);
        dtVesselClearancesInfo.Rows.Add(datarow2);
        dtVesselClearancesInfo.Rows.Add(datarow3);

        return dtVesselClearancesInfo;
    }

    public DataTable InspectionInfo()
    {
        DataTable dtInspectionInfo = new DataTable();
        dtInspectionInfo.Columns.Add("Inspection Id");
        dtInspectionInfo.Columns.Add("Date");
        dtInspectionInfo.Columns.Add("Inspection Company");
        dtInspectionInfo.Columns.Add("Operation");
        dtInspectionInfo.Columns.Add("Status");
        dtInspectionInfo.Rows.Clear();
        DataRow datarow1 = dtInspectionInfo.NewRow();
        datarow1[0] = "10001";
        datarow1[1] = "01-Jan-2007";
        datarow1[2] = "US Coast Guard";
        datarow1[3] = "Loading";
        datarow1[4] = "";
        DataRow datarow2 = dtInspectionInfo.NewRow();
        datarow2[0] = "10001";
        datarow2[1] = "01-Feb-2007";
        datarow2[2] = "US Coast Guard";
        datarow2[3] = "Loading";
        datarow2[4] = "";

        DataRow datarow3 = dtInspectionInfo.NewRow();
        datarow3[0] = "10001";
        datarow3[1] = "01-Mar-2007";
        datarow3[2] = "US Coast Guard";
        datarow3[3] = "Loading";
        datarow3[4] = "";



        dtInspectionInfo.Rows.Add(datarow1);
        dtInspectionInfo.Rows.Add(datarow2);
        dtInspectionInfo.Rows.Add(datarow3);

        return dtInspectionInfo;

    }

    public DataTable Casualties()
    {

        DataTable dtCasualties = new DataTable();

        dtCasualties.Columns.Add("Casualty Id");
        dtCasualties.Columns.Add("Date");
        dtCasualties.Columns.Add("Type");
        dtCasualties.Columns.Add("Status");
        dtCasualties.Columns.Add("Severity");
        dtCasualties.Columns.Add("Details");
        dtCasualties.Rows.Clear();
        DataRow datarow1 = dtCasualties.NewRow();
        datarow1[0] = "1001";
        datarow1[1] = "01-May-2002";
        datarow1[2] = "Collision";
        datarow1[3] = "Continued on Voyage";
        datarow1[4] = "Not Serious";
        datarow1[5] = "Incident Description";
        DataRow datarow2 = dtCasualties.NewRow();
        datarow2[0] = "2005";
        datarow2[1] = "23-Aug-2004";
        datarow2[2] = "Collision";
        datarow2[3] = "Continued on Voyage";
        datarow2[4] = "Not Serious";
        datarow2[5] = "Incident Description";

        DataRow datarow3 = dtCasualties.NewRow();
        datarow3[0] = "3237";
        datarow3[1] = "10-Oct-2006";
        datarow3[2] = "Collision";
        datarow3[3] = "Continued on Voyage";
        datarow3[4] = "Not Serious";
        datarow3[5] = "Incident Description";
        DataRow datarow4 = dtCasualties.NewRow();
        datarow4[0] = "6123";
        datarow4[1] = "11-Apr-2007";
        datarow4[2] = "Collision";
        datarow4[3] = "Continued on Voyage";
        datarow4[4] = "Not Serious";
        datarow4[5] = "Incident Description";
        dtCasualties.Rows.Add(datarow1);
        dtCasualties.Rows.Add(datarow2);
        dtCasualties.Rows.Add(datarow3);
        dtCasualties.Rows.Add(datarow4);
        return dtCasualties;


    }


        public DataTable FillGridImage()
    {
        

           
        // This method creates a DataTable with four rows.  Each row has the
        // following schema:
        //   PictureURL      string
        //   Title           string
        //   Value           string
        DataTable dt = new DataTable();
        // define the table's schema
        dt.Columns.Add(new DataColumn("PictureURL", typeof(string)));
        dt.Columns.Add(new DataColumn("Title", typeof(string)));
        dt.Columns.Add(new DataColumn("Value", typeof(string)));
       
        // Create the four records
        DataRow dr = dt.NewRow();
        dr["PictureURL"] = "ic_hl_vessel.gif";                
        dr["Title"] = "Rating";
        dr["Value"] = "650";        

        dt.Rows.Add(dr);

         dr = dt.NewRow();
         dr["PictureURL"] = "ic_actions.gif";
         dr["Title"] = "Clearances";
         dr["Value"] = "10/30(22)";
        dt.Rows.Add(dr);

        
        dr = dt.NewRow();
        dr["PictureURL"] = "ic_hl_vcr.gif";
        dr["Title"] = "Inspections";
        dr["Value"] = "32";
        dt.Rows.Add(dr);

       
        dr = dt.NewRow();
        dr["PictureURL"] = "ic_nav-(24x24).gif";
        dr["Title"] = "Casualities";
        dr["Value"] = "10";
        dt.Rows.Add(dr);

   
        dr = dt.NewRow();
        dr["PictureURL"] = "ic_inspection.gif";
        dr["Title"] = "Feedback";
        dr["Value"] = "10";
        dt.Rows.Add(dr);

        
        dr = dt.NewRow();
        dr["PictureURL"] = "ic_hl_casualty.gif";
        dr["Title"] = "Notes-BP Remarks";
        dr["Value"] = "6(2)";
        dt.Rows.Add(dr);

        
        dr = dt.NewRow();
        dr["PictureURL"] = "ic_hl_feedback.gif";
        dr["Title"] = "Notes-General Desc";
        dr["Value"] = "13";
        dt.Rows.Add(dr);

       
        dr = dt.NewRow();
        dr["PictureURL"] = "ic_doc.gif";
        dr["Title"] = "Notes-BP Remarks";
        dr["Value"] = "-";
        dt.Rows.Add(dr);

        
        dr = dt.NewRow();
        dr["PictureURL"] = "ic_hl_sister.gif";
        dr["Title"] = "Sister Ships";
        dr["Value"] = "13";
        dt.Rows.Add(dr);

        
        dr = dt.NewRow();
        dr["PictureURL"] = "ic_hl_doc.gif";
        dr["Title"] = "Documents";
        dr["Value"] = "10";
        dt.Rows.Add(dr);

        
        dr = dt.NewRow();
        dr["PictureURL"] = "ic_report.gif";
        dr["Title"] = "Fleets";
        dr["Value"] = "";
        dt.Rows.Add(dr);

       
        dr = dt.NewRow();
        dr["PictureURL"] = "ic_audit-(24x24).gif";
        dr["Title"] = "VPQ";
        dr["Value"] = "";
        dt.Rows.Add(dr);

        return dt;

    }

    
    public DataTable DataPortclearenceRequest()
    {
        DataTable PortclearenceRequest = new DataTable();
        PortclearenceRequest.Clear();
        PortclearenceRequest.Columns.Add("Request No");
        PortclearenceRequest.Columns.Add("Review Ref");
        PortclearenceRequest.Columns.Add("Vessel Name");
        PortclearenceRequest.Columns.Add("lRN");
        PortclearenceRequest.Columns.Add("Cargo Type");
        PortclearenceRequest.Columns.Add("OPerations");
        PortclearenceRequest.Columns.Add("Source");
        PortclearenceRequest.Columns.Add("Creation Date");
        PortclearenceRequest.Columns.Add("Assessed By");
        PortclearenceRequest.Columns.Add("Rev Regd(compl)");
        PortclearenceRequest.Columns.Add("Status");
        DataRow datarow1 = PortclearenceRequest.NewRow();
        datarow1[0] = "Vcr 5001";
        datarow1[1] = "Vcr5001_1";
        datarow1[2] = "British unity";
        datarow1[3] = "10939";
        datarow1[4] = "crudeoil";
        datarow1[5] = "L,D";
        datarow1[6] = "xyz";
        datarow1[7] = "01-feb-2007";
        datarow1[8] = "";
        datarow1[9] = "5(0)";
        datarow1[10] = "Review Required";
        DataRow datarow2 = PortclearenceRequest.NewRow();
        datarow2[0] = "Vcr 5001";
        datarow2[1] = "Vcr 5001_2";
        datarow2[2] = "British Trader";
        datarow2[3] = "";
        datarow2[4] = "Crudeoil";
        datarow2[5] = "A";
        datarow2[6] = "";
        datarow2[7] = "01-feb-2007";
        datarow2[8] = "Marden r";
        datarow2[9] = "5(4)";
        datarow2[10] = "Under review";

        DataRow datarow3 = PortclearenceRequest.NewRow();

        datarow3[0] = "Vcr 5001";
        datarow3[1] = "Vcr 5001_3";
        datarow3[2] = "British chivary";
        datarow3[3] = "";
        datarow3[4] = "crudeoil";
        datarow3[5] = "L,D";
        datarow3[6] = "";
        datarow3[7] = "01-feb-2007";
        datarow3[8] = "premi,5";
        datarow3[9] = "5(5)";
        datarow3[10] = "completed";
        DataRow datarow4 = PortclearenceRequest.NewRow();
        datarow4[0] = "Vcr 5007";
        datarow4[1] = "Vcr 5007_1";
        datarow4[2] = "";
        datarow4[3] = "Tamal";
        datarow4[4] = "LNG";
        datarow4[5] = "B";
        datarow4[6] = "";
        datarow4[7] = "01-mar-2007";
        datarow4[8] = "";
        datarow4[9] = "5(0)";
        datarow4[10] = "Review required";
        PortclearenceRequest.Rows.Add(datarow1);
        PortclearenceRequest.Rows.Add(datarow2);
        PortclearenceRequest.Rows.Add(datarow3);
        PortclearenceRequest.Rows.Add(datarow4);
        return PortclearenceRequest;
    }

    public DataTable PortLocationNameData()
    {
        DataTable PortLocationNameDatatable = new DataTable();
        PortLocationNameDatatable.Clear();

        PortLocationNameDatatable.Columns.Add("Name");

   
        DataRow datarow1 = PortLocationNameDatatable.NewRow();
        datarow1[0] = "Netherlands";

        DataRow datarow2 = PortLocationNameDatatable.NewRow();
        datarow2[0] = "Rotterdam";

        DataRow datarow3 = PortLocationNameDatatable.NewRow();
        datarow3[0] = "Nerefco";

        PortLocationNameDatatable.Rows.Add(datarow1);
        PortLocationNameDatatable.Rows.Add(datarow2);
        PortLocationNameDatatable.Rows.Add(datarow3);

        return PortLocationNameDatatable;

    }

    public DataTable PortLocationTypeData()
    {
        DataTable PortLocationTypeDatatable = new DataTable();
        PortLocationTypeDatatable.Clear();

        PortLocationTypeDatatable.Columns.Add("Name");
        PortLocationTypeDatatable.Columns.Add("Type");
        PortLocationTypeDatatable.Columns.Add("Remarks");
        PortLocationTypeDatatable.Columns.Add("Outcome");


        DataRow datarow1 = PortLocationTypeDatatable.NewRow();
        datarow1[0] = "Netherlands";
        datarow1[1] = "Reasons";
        datarow1[2] = "This text is automatically generated by the System according to the Rules and cannot be Editable by the User";
        datarow1[3] = "OK";

        DataRow datarow2 = PortLocationTypeDatatable.NewRow();
        datarow2[0] = "Netherlands";
        datarow2[1] = "Subjects";
        datarow2[2] = "This text is automatically generated by the System according to the Rules and cannot be Editable by the User";
        datarow2[3] = null;

        DataRow datarow3 = PortLocationTypeDatatable.NewRow();
        datarow3[0] = "Netherlands";
        datarow3[1] = "Comments";
        datarow3[2] = "This text is automatically generated by the System according to the Rules and cannot be Editable by the User";
        datarow3[3] = null;

        DataRow datarow4 = PortLocationTypeDatatable.NewRow();
        datarow4[0] = "Rotterdam";
        datarow4[1] = "Reasons";
        datarow4[2] = "This text is automatically generated by the System according to the Rules and cannot be Editable by the User";
        datarow4[3] = "OK";

        DataRow datarow5 = PortLocationTypeDatatable.NewRow();
        datarow5[0] = "Rotterdam";
        datarow5[1] = "Subjects";
        datarow5[2] = "This text is automatically generated by the System according to the Rules and cannot be Editable by the User";
        datarow5[3] = null;

        DataRow datarow6 = PortLocationTypeDatatable.NewRow();
        datarow6[0] = "Rotterdam";
        datarow6[1] = "Comments";
        datarow6[2] = "This text is automatically generated by the System according to the Rules and cannot be Editable by the User";
        datarow6[3] = null;

        DataRow datarow7 = PortLocationTypeDatatable.NewRow();
        datarow7[0] = "Nerefco";
        datarow7[1] = "Reasons";
        datarow7[2] = "This text is automatically generated by the System according to the Rules and cannot be Editable by the User This text is automatically generated by the System according to the Rules and cannot be Editable by the User This text is automatically generated by the System according to the Rules and cannot be Editable by the User This text is automatically generated by the System according to the Rules and cannot be Editable by the User This text is automatically generated by the System according to the Rules and cannot be Editable by the User This text is automatically generated by the System according to the Rules and cannot be Editable by the User";
        datarow7[3] = "NO";

        DataRow datarow8 = PortLocationTypeDatatable.NewRow();
        datarow8[0] = "Nerefco";
        datarow8[1] = "Subjects";
        datarow8[2] = "This text is automatically generated by the System according to the Rules and cannot be Editable by the User";
        datarow8[3] = null;

        DataRow datarow9 = PortLocationTypeDatatable.NewRow();
        datarow9[0] = "Nerefco";
        datarow9[1] = "Comments";
        datarow9[2] = "This text is automatically generated by the System according to the Rules and cannot be Editable by the User";
        datarow9[3] = null;

        PortLocationTypeDatatable.Rows.Add(datarow1);
        PortLocationTypeDatatable.Rows.Add(datarow2);
        PortLocationTypeDatatable.Rows.Add(datarow3);
        PortLocationTypeDatatable.Rows.Add(datarow4);
        PortLocationTypeDatatable.Rows.Add(datarow5);
        PortLocationTypeDatatable.Rows.Add(datarow6);
        PortLocationTypeDatatable.Rows.Add(datarow7);
        PortLocationTypeDatatable.Rows.Add(datarow8);
        PortLocationTypeDatatable.Rows.Add(datarow9);

        DataColumn[] key = new DataColumn[2]; 

        return PortLocationTypeDatatable;

    }

    public DataTable PortLocationStaticEditData()
    {
        DataTable PortStaticEditDatatable = new DataTable();
        PortStaticEditDatatable.Clear();

        PortStaticEditDatatable.Columns.Add("Name");
      //  PortStaticEditDatatable.Columns.Add("Type");
        PortStaticEditDatatable.Columns.Add("Remark");



     DataRow datarow1a = PortStaticEditDatatable.NewRow();
        datarow1a[0] = "Netherlands";
       // datarow1a[1] = "Reasons";
        datarow1a[1] = "This text is automatically generated by the System according to the Rules and can be Edited by the User";


        DataRow datarow4a = PortStaticEditDatatable.NewRow();
        datarow4a[0] = "Rotterdam";
       // datarow4a[1] = "Reasons";
        datarow4a[1] = "This text is automatically generated by the System according to the Rules and can be Edited by the User";


        DataRow datarow7a = PortStaticEditDatatable.NewRow();
        datarow7a[0] = "Nerefco";
        //datarow7a[1] = "Reasons";
        datarow7a[1] = "This text is automatically generated by the System according to the Rules and can be Edited by the User";



        //PortStaticEditDatatable.Rows.Add(datarow1);
        PortStaticEditDatatable.Rows.Add(datarow1a);
        //PortStaticEditDatatable.Rows.Add(datarow2);
       // PortStaticEditDatatable.Rows.Add(datarow2a);
        //PortStaticEditDatatable.Rows.Add(datarow3);
       // PortStaticEditDatatable.Rows.Add(datarow3a);

        //PortStaticEditDatatable.Rows.Add(datarow4);
        PortStaticEditDatatable.Rows.Add(datarow4a);
        //PortStaticEditDatatable.Rows.Add(datarow5);
     //   PortStaticEditDatatable.Rows.Add(datarow5a);
        //PortStaticEditDatatable.Rows.Add(datarow6);
      //  PortStaticEditDatatable.Rows.Add(datarow6a);

        // PortStaticEditDatatable.Rows.Add(datarow7);
        PortStaticEditDatatable.Rows.Add(datarow7a);
        //PortStaticEditDatatable.Rows.Add(datarow8);
      //  PortStaticEditDatatable.Rows.Add(datarow8a);
        //PortStaticEditDatatable.Rows.Add(datarow9);
       // PortStaticEditDatatable.Rows.Add(datarow9a);

        DataColumn[] key = new DataColumn[2]; 

        return PortStaticEditDatatable;

    }
    public DataDetails OutcomeData()
    {
        DataTable OutcomeDatatable = new DataTable();
        OutcomeDatatable.Clear();
        OutcomeDatatable.Columns.Add("Outcome");
        DataRow datarow1 = OutcomeDatatable.NewRow();
        datarow1[0] = "OK";

        DataRow datarow2 = OutcomeDatatable.NewRow();
        datarow2[0] = "NO";

        DataRow datarow3 = OutcomeDatatable.NewRow();
        datarow3[0] = "On-Hold";

        DataRow datarow4 = OutcomeDatatable.NewRow();
        datarow4[0] = "Cancelled";

        DataRow datarow5 = OutcomeDatatable.NewRow();
        datarow5[0] = "Not Accessible";

        OutcomeDatatable.Rows.Add(datarow1);
        OutcomeDatatable.Rows.Add(datarow2);
        OutcomeDatatable.Rows.Add(datarow3);
        OutcomeDatatable.Rows.Add(datarow4);
        OutcomeDatatable.Rows.Add(datarow5);

        return new DataDetails(OutcomeDatatable, "Outcome");

    }


}

